<div class="container-fluid">
  <div class="panel panel-primary">
    <div class="panel-heading">  
        Welcome to Grama Sabha
    </div>

    <div class="row">
    <div class="col-md-6 col-sm-12">
     
        <div class="panel panel-default">
          <div class="panel-heading">
            Grama Sabha - Registration
          </div>  
            <div class="panel-body">
              <form class="form-horizontal"
                novalidate
                (ngSubmit)="save()"
                [formGroup]="gramshabaForm">
                <fieldset>
                  <div class="form-group"
                      [ngClass]="{'has-error': (gramshabaForm.get('name').touched || 
                                                gramshabaForm.get('name').dirty) &&
                                                !gramshabaForm.get('name').valid }">
                      <label class="col-md-2 control-label" 
                             for="nameId">Name</label>
  
                      <div class="col-md-8">
                          <input class="form-control" 
                                 id="nameId" 
                                 type="text" 
                                 placeholder="name (required)" 
                                 formControlName="name" />
                          <span class="help-block" *ngIf="(gramshabaForm.get('name').touched || 
                                                           gramshabaForm.get('name').dirty) && 
                                                           gramshabaForm.get('name').errors">
                              <span *ngIf="gramshabaForm.get('name').errors.required">
                                  Please enter your first name.
                              </span>
                             
                          </span>
                      </div>
                  </div>

                  <div class="form-group"
                      [ngClass]="{'has-error': (gramshabaForm.get('phone').touched || 
                                                gramshabaForm.get('phone').dirty) &&
                                                !gramshabaForm.get('phone').valid }">
                      <label class="col-md-2 control-label" 
                             for="phoneId">Phone:</label>
  
                      <div class="col-md-8">
                          <input class="form-control" 
                                 id="phoneId" 
                                 type="text" 
                                 placeholder="phone (required)" 
                                 formControlName="phone" />
                          <span class="help-block" *ngIf="(gramshabaForm.get('phone').touched || 
                                                           gramshabaForm.get('phone').dirty) && 
                                                           gramshabaForm.get('phone').errors">
                              <span *ngIf="gramshabaForm.get('phone').errors.required">
                                  Please enter your Phone no
                              </span>
                              <span *ngIf="gramshabaForm.get('phone').errors.pattern">
                                please enter only numbers and max is 10 digits
                              </span>
                             
                          </span>
                      </div>
                  </div>

                  <div class="form-group"
                      [ngClass]="{'has-error': (gramshabaForm.get('distict').touched || 
                                                gramshabaForm.get('distict').dirty) &&
                                                !gramshabaForm.get('distict').valid }">
                      <label class="col-md-2 control-label" 
                             for="distictId">District:</label>
  
                      <div class="col-md-8">
                          <select class="col-md-8" formControlName="distict" style="border: 1px solid rgb(204, 204, 204); padding-left: 8px; width: 100%; height: 32px; border-radius: 4px">
                              <option *ngFor="let d of disticts" [ngValue]="d">{{ d }}</option>
                          </select>
                      
                          <span class="help-block" *ngIf="(gramshabaForm.get('distict').touched || 
                                                           gramshabaForm.get('distict').dirty) && 
                                                           gramshabaForm.get('distict').errors">
                              <span *ngIf="gramshabaForm.get('distict').errors.required">
                                  Please select the value 
                              </span>
                             
                             
                          </span>
                      </div>
                  </div>

                  <div class="form-group"
                      [ngClass]="{'has-error': (gramshabaForm.get('village').touched || 
                                                gramshabaForm.get('village').dirty) &&
                                                !gramshabaForm.get('village').valid }">
                      <label class="col-md-2 control-label" 
                             for="villageId">Village</label>
  
                      <div class="col-md-8">
                          <input class="form-control" 
                                 id="villageId" 
                                 type="text" 
                                 placeholder="village (required)" 
                                 formControlName="village" />
                          <span class="help-block" *ngIf="(gramshabaForm.get('village').touched || 
                                                           gramshabaForm.get('village').dirty) && 
                                                           gramshabaForm.get('village').errors">
                              <span *ngIf="gramshabaForm.get('village').errors.required">
                                  Please enter your Village name.
                              </span>
                             
                          </span>
                      </div>
                  </div>

              
            <div class="form-group">
                <div class="col-md-4 col-md-offset-2">
                    <span>
                        <button class="btn btn-primary"
                                type="submit"
                                [disabled]="!gramshabaForm.valid">
                            Save
                        </button>
                        
                    </span>
                </div>
            </div>
            <div>
                    <label class="msg">{{message}} </label>
            </div>
            
                </fieldset>
              </form> 
              <div class="panel panel-default">
                 
                  <div class="panel-body">
                      <img src="assets/images/apj.jpg" style="width: 100%" >
                  </div>   
                </div>  

            </div> 
          </div>
  
    </div>

    <div class="col-md-6 col-sm-12">

        <div class="panel panel-default">
            <div class="panel-heading">
              TamilNadu District Map
            </div> 
            <div class="panel-body">
                <app-map [districtCount]="Counts" [fillColor]="distictsColor" > </app-map>
            </div>   
          </div>     
      
        </div>      
      
    </div>
  </div>
</div>
